package entity

import (
	"time"
)

type OurServiceContent struct {
	ID             uint      `json:"id" gorm:"primaryKey;autoIncrement"`
	PrimaryTitle   string    `json:"primary_title" gorm:"type:varchar(255)"`
	SecondaryTitle string    `json:"secondary_title" gorm:"type:varchar(255)"`
	Description    string    `json:"description" gorm:"type:text"`
	CreatedAt      time.Time `json:"created_at"`
	UpdatedAt      time.Time `json:"updated_at"`
	IsActive       *bool     `json:"is_active" gorm:"default:true"`
	Images []OurServiceContentImage `json:"images" gorm:"foreignKey:OurServiceContentID"`
}

func (OurServiceContent) TableName() string {
	return "our_service_contents"
}